Page 1 of 1

Building Audacity 2.1.2 on Ubuntu 15.10

Permanent link to this postPosted: Tue Dec 01, 2015 1:14 pm
Posted by steve
These steps were tested with Audacity 2.1.2 rc1 on a clean installation of Lubuntu 15.10.
They should also work on other versions of Ubuntu 15.10.
If any other version of Audacity is already installed, I would recommend uninstalling it before starting these steps.

Prerequisites:
Install "build-essential" using your preferred package manager.

Dependencies:
In a terminal window, enter this command. Enter your password when prompted:
Code: Select all
sudo apt-get build-dep audacity


Get the source code:

Build Audacity:
  1. Open a terminal window and navigate to the extracted folder
    (example, if you extracted audacity-minsrc-2.1.2 to your home folder:
    Code: Select all
    cd audacity-minsrc-2.1.2
  2. Make a directory to build Audacity in:
    Code: Select all
    mkdir build
  3. Change to the "build" folder:
    Code: Select all
    cd build
  4. Configure Audacity:
    Code: Select all
    ../configure --disable-dynamic-loading

    Note the two dots at the start of the command.
    The --disable-dynamic-loading option is required for Audacity to use the version of FFmpeg that Ubuntu 15.10 uses.
  5. Build audacity;
    Code: Select all
    make
  6. Install
    Code: Select all
    sudo make install

    (enter password when prompted).

Optional Nyquist Workbench Module:
    If you wish to build Nyquist Workbench, it must be done on the same day as Audacity is built.
  1. Build the module
    Code: Select all
    make modules
  2. Copy modules to Audacity installation folder:
    Code: Select all
    sudo cp -r modules/ /usr/local/share/audacity/
  3. Eable Nyquist Workbench:
    • Launch Audacity
    • Enable Nyquist Workbench in "Edit->Preferences->modules"
    • Restart Audacity.